//using Spring Integration Java DSL to read emails on pop3
//MailConfigration class has the Integration flow bean.
//Using pop3mailreceiver bean so that framework initialize the class itself and open the inbox in read write mood and mail deletion is possible.
//Mails are deleted. i checked the log and it shows the Del message and emails are marked for deletion. though gmail still show the mails but i assume it is the copy which gmail keeps.
//using jpa database for storage on runtime.
//using thymeleaf with bootsrap for frontend 

//using tester12048@gmail.com email
//password qwe123poi
//the email is hardcoded in the class because the pop3mailreceive is initalize on runtime and the values are added in constructor

//mails are with red yellow and green code flags
//click on the mail to read

